View Issue Details

IDProjectCategoryView StatusLast Update
0031186Open CASCADEOCCT:Foundation Classespublic2020-12-02 17:12
Reporterosa Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Target Version7.5.0Fixed in Version7.5.0 
Summary0031186: Foundation Classes - add additional useful methods to BVH_Box
DescriptionAdd methods to:
+ Transform BVH_Box by matrix,
+ Project point to box,
+ Find hit time of ray-box intersection,
- Find distance from point to box => use BVH_Tools::PointBoxSquareDistance()
Steps To ReproduceNot required
TagsNo tags attached.
Test case number

Relationships

related to 0031295 closedbugmaster Open CASCADE Foundation Classes, BVH_Tools - incorrect detection of ray-box intersection 

Activities

emv

2019-11-22 14:40

developer   ~0089152

The methods for Point-Box and Box-Box square distance are available in BVH_Tools class.

git

2019-11-22 16:06

administrator   ~0089155

Branch CR31186 has been created by osa.

SHA-1: a521e374e4806222efe7472eacfc94c69ec7b6e1


Detailed log of new commits:

Author: osa
Date: Fri Nov 22 16:02:02 2019 +0300

    0031186: Foundation Classes - add additional useful methods to BVH_Box.
    
    Add Transform() and Transformed() methods by Mat4 for BVH_Box (only for 3D dimension).
    Add PointBoxProjection() method to BVH_Tools to project point to box.

git

2019-11-25 15:09

administrator   ~0089203

Branch CR31186 has been updated forcibly by osa.

SHA-1: 643df76a07be92c71f29181bafdecae50ac26bf8

git

2019-11-25 15:42

administrator   ~0089204

Branch CR31186 has been updated forcibly by osa.

SHA-1: a92f3ef6dbe738b7d03de7a93dfeb776dc554af2

git

2019-11-25 16:20

administrator   ~0089205

Branch CR31186 has been updated forcibly by osa.

SHA-1: 65f90a460ae1103e5ced71323079a7185075e764

osa

2019-11-25 16:35

developer   ~0089206

http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR31186-master-OSA/view/ALL/

osa

2019-11-25 16:35

developer   ~0089207

The patch is ready to review

git

2019-11-26 13:00

administrator   ~0089210

Branch CR31186 has been updated forcibly by osa.

SHA-1: 97b5c4d36bdf00b9ff6b352f1033025b62063e53

git

2019-11-26 16:18

administrator   ~0089211

Branch CR31186 has been updated forcibly by osa.

SHA-1: 8b063cec93c7389c8ae265772b379cb862bfeccf

git

2019-11-26 18:05

administrator   ~0089212

Branch CR31186 has been updated forcibly by osa.

SHA-1: 77dafe969ea04c9fb91716b2f0bb0de641c54663

bugmaster

2019-11-27 16:46

administrator   ~0089225

Combination -
OCCT branch : WEEK-48
master SHA - 2b5a58a33cf42ab3d995e63dde8c1ff7278cb4d0
5f5b1aed1c6e139bbd34314eca77ae7abcd8895c
Products branch : WEEK-48 SHA - 3b604b9355eb7932637676d9f7a2146a78ba7df1
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16796.860000000055 / 16848.370000000145 [-0.31%]
Products
Total CPU difference: 10878.57000000006 / 10787.150000000072 [+0.85%]
Windows-64-VC14:
OCCT
Total CPU difference: 18298.9375 / 18305.59375 [-0.04%]
Products
Total CPU difference: 10772.90625 / 12768.0625 [-15.63%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2019-12-01 12:49

administrator   ~0089325

Branch CR31186 has been deleted by inv.

SHA-1: 77dafe969ea04c9fb91716b2f0bb0de641c54663

Related Changesets

occt: master 2b5a58a3

2019-11-22 13:02:02

osa


Committer: bugmaster Details Diff
0031186: Foundation Classes - add additional useful methods to BVH_Box.

Add Transform() and Transformed() methods by Mat4 for BVH_Box (only for 3D dimension).
Add PointBoxProjection() method to project point to box and RayBoxIntersection() method to compute hit time of ray-box intersection to BVH_Tools.
Add BVH_Ray class to define ray object.
Affected Issues
0031186
mod - src/BVH/BVH_Box.hxx Diff File
add - src/BVH/BVH_Ray.hxx Diff File
mod - src/BVH/BVH_Tools.hxx Diff File
mod - src/BVH/FILES Diff File

Issue History

Date Modified Username Field Change
2019-11-22 14:06 osa New Issue
2019-11-22 14:06 osa Assigned To => abv
2019-11-22 14:37 osa Assigned To abv => osa
2019-11-22 14:37 osa Status new => assigned
2019-11-22 14:40 emv Note Added: 0089152
2019-11-22 14:42 osa Description Updated
2019-11-22 15:00 osa Description Updated
2019-11-22 16:06 git Note Added: 0089155
2019-11-25 15:09 git Note Added: 0089203
2019-11-25 15:10 osa Description Updated
2019-11-25 15:42 git Note Added: 0089204
2019-11-25 16:20 git Note Added: 0089205
2019-11-25 16:35 osa Note Added: 0089206
2019-11-25 16:35 osa Note Added: 0089207
2019-11-25 16:35 osa Assigned To osa => kgv
2019-11-25 16:35 osa Status assigned => resolved
2019-11-25 16:35 osa Steps to Reproduce Updated
2019-11-25 16:48 kgv Assigned To kgv => bugmaster
2019-11-25 16:48 kgv Status resolved => reviewed
2019-11-26 13:00 git Note Added: 0089210
2019-11-26 16:18 git Note Added: 0089211
2019-11-26 18:05 git Note Added: 0089212
2019-11-27 16:46 bugmaster Note Added: 0089225
2019-11-27 16:46 bugmaster Status reviewed => tested
2019-12-01 12:22 bugmaster Changeset attached => occt master 2b5a58a3
2019-12-01 12:22 bugmaster Status tested => verified
2019-12-01 12:22 bugmaster Resolution open => fixed
2019-12-01 12:49 git Note Added: 0089325
2020-01-13 11:50 osa Relationship added related to 0031295
2020-12-02 16:41 emo Fixed in Version => 7.5.0
2020-12-02 17:12 emo Status verified => closed